---
title: PublicKeyCredentialRequestOptions.timeout
slug: Web/API/PublicKeyCredentialRequestOptions/timeout
tags:
  - API
  - Property
  - PublicKeyCredentialRequestOptions
  - Reference
  - Web Authentication API
  - WebAuthn
---
<p>{{APIRef("Web Authentication API")}}{{securecontext_header}}</p>

<p>The <strong><code>timeout</code></strong> property, of the {{domxref("PublicKeyCredentialRequestOptions")}} dictionary, represents an hint, given in milliseconds, for the time the script is willing to wait for the completion of the retrieval operation.</p>

<p>This property is optional and merely is a <em>hint</em> which may be overridden by the browser.</p>

<div class="notecard note">
<p><strong>Note:</strong> An analogous option exists for the creation operation ({{domxref("CredentialsContainer.create","navigators.credentials.create()")}}), see {{domxref("PublicKeyCredentialCreationOptions.timeout")}}.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>timeout </em>= <em>publicKeyCredentialRequestOptions</em>.timeout</pre>

<h3 id="Value">Value</h3>

<p>A numerical hint, expressed in milliseconds, giving the time to wait for the creation operation to complete.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var options = {
  challenge: new Uint8Array([/* bytes sent from the server */]),
  timeout: 6000  // Wait a minute for the fetching operation
                 // and maybe fail if it takes longer
};

navigator.credentials.get({ "publicKey": options })
    .then(function (credentialInfoAssertion) {
    // send assertion response back to the server
    // to proceed with the control of the credential
}).catch(function (err) {
     console.error(err);
});
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebAuthn','#dom-publickeycredentialrequestoptions-timeout','timeout')}}</td>
   <td>{{Spec2('WebAuthn')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PublicKeyCredentialRequestOptions.timeout")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("PublicKeyCredentialCreationOptions.timeout")}}, the analogous option property used when creating a credential.</li>
</ul>
